<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>URL Shortener</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="form.css">
    <style>
        table {
            max-width: 100%;
            border-collapse: collapse;
        }

        th,
        td {
            border-bottom: 1px solid #F0F0F0;
            padding: 8px;
            text-align: left;
            max-width: 500px;
        }

        th {
            background-color: #F0F0F0;
        }
    </style>
</head>

<body>
    <div class="phppot-container">
        <h1>URL Shortener</h1>
        <div id="error" class="error-message"></div>
        <form id="urlForm">
            <div class="row">
                <label for="inputURL">Enter URL: <span class="validation-message"></span></label>
                <input type="text" id="inputURL" name="inputURL">
            </div>
            <div class="row">
                <button type="submit">Create Short URL</button>
                <div id="loadingIndicator" style="display: none;">Loading....</div>
            </div>
        </form>
        <p id="shortenedURL"></p>
        <table>
            <thead>
                <tr>
                    <th style="width: 40%;">Original URL</th>
                    <th style="width: 50%;">Short URL</th>
                    <th style="width: 10%;">Views</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http';
                $host = $_SERVER['HTTP_HOST'];
                $uri = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');

                $baseUrl = $protocol . '://' . $host . $uri . '/';

                require_once __DIR__ . '/database_connection.php';

                $sql = "SELECT original_url, short_code, views FROM tbl_url_short";
                $result = $conn->query($sql);

                if ($result->num_rows > 0) {
                    while ($row = $result->fetch_assoc()) {
                        $shortUrl = $baseUrl . $row['short_code'];
                ?>
                        <tr>
                            <td style='width: 200px; word-wrap: break-word;'><?php echo htmlspecialchars($row['original_url']); ?></td>
                            <td style='width: 50%; word-wrap: break-word;'><a href="<?php echo htmlspecialchars($shortUrl); ?>" target='_blank'><?php echo htmlspecialchars($shortUrl); ?></a></td>
                            <td style='width: 10%; word-wrap: break-word;'><?php echo htmlspecialchars($row['views']); ?></td>
                        </tr>
                <?php
                    }
                }
                $conn->close();
                ?>


            </tbody>
        </table>
    </div>
    <script src="url-convert.js"></script>
</body>

</html>