<?php
require_once __DIR__ . '/database_connection.php';

// Get the short code from the URL
if(isset($_GET['code'])) {
    $shortCode = $_GET['code'];

    // Increase the number of page views
    $sqlUpdate = "UPDATE tbl_url_short SET views = views + 1 WHERE short_code = ?";
    $stmtUpdate = $conn->prepare($sqlUpdate);
    $stmtUpdate->bind_param("s", $shortCode);
    $stmtUpdate->execute();
    $stmtUpdate->close();

    // Retrieve the original URL from the database
    $sqlSelect = "SELECT original_url FROM tbl_url_short WHERE short_code = ?";
    $stmtSelect = $conn->prepare($sqlSelect);
    $stmtSelect->bind_param("s", $shortCode);
    $stmtSelect->execute();
    $resultSelect = $stmtSelect->get_result();
    if ($resultSelect->num_rows > 0) {
        $row = $resultSelect->fetch_assoc();
        $originalUrl = $row['original_url'];
        header("Location: $originalUrl"); // Redirect to the original page URL
        exit();
    } else {
        echo "URL not found";
    }

    $stmtSelect->close();
    $conn->close();
} else {
    echo "No code provided";
}
?>
