<?php
require_once __DIR__ . '/database_connection.php';

$data = json_decode(file_get_contents("php://input"));

if (!filter_var($data->url, FILTER_VALIDATE_URL)) {
    echo json_encode(array("error" => "Invalid URL"));
    exit;
}

$originalURL = $conn->real_escape_string($data->url);
$shortCode = $conn->real_escape_string($data->shortCodeInput);

// Insert shortURL to the database
$sql = "INSERT INTO tbl_url_short (original_url, short_code) VALUES (?, ?)";
$stmt = $conn->prepare($sql);
$stmt->bind_param("ss", $originalURL, $shortCode);
if ($stmt->execute()) {
    echo json_encode(array("shortCode" => $shortCode));
} else {
    echo json_encode(array("error" => "Failed to shorten URL"));
}
$stmt->close();
$conn->close();
?>
